Debian Bug report logs - #572300
[hppa] blocks buildd indefinitely

version graph

Package: src:agda; Maintainer for src:agda is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>;

Reported by: dann frazier <dannf@debian.org>

Date: Wed, 3 Mar 2010 02:24:02 UTC

Severity: serious

Found in version agda/2.2.6-3

Fixed in version agda/2.2.6-4

Done: Iain Lane <laney@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#572300; Package src:agda. (Wed, 03 Mar 2010 02:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Wed, 03 Mar 2010 02:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: submit@bugs.debian.org
Subject: [hppa] blocks buildd indefinitely
Date: Tue, 2 Mar 2010 19:21:04 -0700
Source: agda
Version: 2.2.6-3
Severity: serious
User: debian-hppa@lists.debian.org
Usertags: hppa

The agda build reliably hangs on hppa, but the included watcher
continues to generate output - blocking the buildd until manually
killed.

The logs are available at:
  https://buildd.debian.org/build.cgi?pkg=agda;ver=2.2.6-3;arch=hppa

Here's a snippet of one of the failures:
[...]
Watcher: Tick.
buildd   10751  0.0  0.0   1916   668 ?        S    Mar02   0:00 sh debian/watcher.sh 10664 /build/buildd-agda_2.2.6-3-hppa-z192cT/agda-2.2.6 /build/buildd-agda_2.2.6-3-hppa-z192cT/agda-2.2.6/build-stamp ghc
buildd   10841  0.0  0.0  24408 12240 ?        S    Mar02   0:02 debian/hlibrary.setup build --builddir=dist-ghc6
buildd   10894 88.1  1.6 289856 264488 ?       R    Mar02 317:06 /usr/lib/ghc-6.12.1/lib/ghc -B/usr/lib/ghc-6.12.1 --make -package-name Agda-2.2.6 -hide-all-packages -fbuilding-cabal-package -no-user-package-conf -i -idist-ghc6/build -isrc/full -idist-ghc6/build/autogen -Idist-ghc6/build/autogen -Idist-ghc6/build -optP-include -optPdist-ghc6/build/autogen/cabal_macros.h -odir dist-ghc6/build -hidir dist-ghc6/build -stubdir dist-ghc6/build -package-id QuickCheck-2.1.0.2-3a7de25345ef06788abd935f73327990 -package-id array-0.3.0.0-dbdf73710a5bd9a534e8bcb2d8c8ee98 -package-id base-4.2.0.0-d24242f5106769c4de4e8134b6a9870c -package-id binary-0.5.0.2-107b6fd231bd1e5052fe5d1b98e05185 -package-id bytestring-0.9.1.5-0dd4aff675d67ffafb719ae1a6a95fae -package-id containers-0.3.0.0-409fe3b8f0dda25b98e03716d26be411 -package-id directory-1.0.1.0-6bad9fc4adac2805f1c48b77aa091a33 -package-id filepath-1.1.0.3-07812de93a673f50011d47451bcaac87 -package-id haskeline-0.6.2.2-b0ffaf2e21bd535bc2e7ba5
 894fb4d24 -package-id haskell-src-1.0.1.3-6f583e83bf54a6ca0d07a352de5e8f4d -package-id mtl-1.1.0.2-23ca4de7c573fd4df309067199a40634 -package-id old-time-1.0.0.3-878152af8c419bd5c9ec4dd7085b7577 -package-id pretty-1.0.1.1-2bfa34c699efff7eed4d6297a2dac12d -package-id process-1.0.1.2-a680e19e566d188a65a10f76c8422813 -package-id syb-0.1.0.2-1e7e0c316929641cb3237a60e3b63680 -package-id xhtml-3000.2.0.1-ea3a4199dcbbc6ec1b5f633d4df96ce2 -package-id zlib-0.5.2.0-b96bdf8b31c306d60b63dbb26a49d3a4 -O -auto-all -w -Werror -fwarn-dodgy-imports -fwarn-duplicate-exports -fwarn-hi-shadowing -fwarn-incomplete-patterns -fwarn-missing-fields -fwarn-missing-methods -fwarn-overlapping-patterns -fwarn-warnings-deprecations -fwarn-deprecated-flags -fwarn-dodgy-foreign-imports -fwarn-wrong-do-bind -fwarn-dodgy-exports -XCPP Agda.Main Agda.Interaction.BasicOps Agda.Interaction.GhciTop Agda.Compiler.Agate.Classify Agda.Compiler.Agate.Common Agda.Compiler.Agate.Main Agda.Compiler.Agate.OptimizedPrinte
 r Agda.Compiler.Agate.TranslateName Agda.Compiler.Agate.UntypedPrinter Agda.Compiler.Alonzo.Main Agda.Compiler.Alonzo.Names Agda.Compiler.Alonzo.Haskell Agda.Compiler.Alonzo.PatternMonad Agda.Compiler.HaskellTypes Agda.Compiler.MAlonzo.Compiler Agda.Compiler.MAlonzo.Encode Agda.Compiler.MAlonzo.Misc Agda.Compiler.MAlonzo.Pretty Agda.Compiler.MAlonzo.Primitives Agda.Interaction.CommandLine.CommandLine Agda.Interaction.Exceptions Agda.Interaction.FindFile Agda.Interaction.Highlighting.Emacs Agda.Interaction.Highlighting.Generate Agda.Interaction.Highlighting.HTML Agda.Interaction.Highlighting.Precise Agda.Interaction.Highlighting.Range Agda.Interaction.Highlighting.Vim Agda.Interaction.Imports Agda.Interaction.MakeCase Agda.Interaction.Monad Agda.Interaction.Options Agda.Syntax.Abstract.Name Agda.Syntax.Abstract.Pretty Agda.Syntax.Abstract.Views Agda.Syntax.Abstract Agda.Syntax.Common Agda.Syntax.Concrete.Definitions Agda.Syntax.Concrete.Name Agda.Syntax.Concrete.Operators.Par
 ser Agda.Syntax.Concrete.Operators Agda.Syntax.Concrete.Pretty Agda.Syntax.Concrete Agda.Syntax.Fixity Agda.Syntax.Info Agda.Syntax.Internal Agda.Syntax.Internal.Generic Agda.Syntax.Internal.Pattern Agda.Syntax.Literal Agda.Syntax.Parser.Alex Agda.Syntax.Parser.Comments Agda.Syntax.Parser.Layout Agda.Syntax.Parser.LexActions Agda.Syntax.Parser.Lexer Agda.Syntax.Parser.LookAhead Agda.Syntax.Parser.Monad Agda.Syntax.Parser.Parser Agda.Syntax.Parser.StringLiterals Agda.Syntax.Parser.Tokens Agda.Syntax.Parser Agda.Syntax.Position Agda.Syntax.Scope.Base Agda.Syntax.Scope.Monad Agda.Syntax.Strict Agda.Syntax.Translation.AbstractToConcrete Agda.Syntax.Translation.ConcreteToAbstract Agda.Syntax.Translation.InternalToAbstract Agda.Termination.CallGraph Agda.Termination.Lexicographic Agda.Termination.Matrix Agda.Termination.Semiring Agda.Termination.TermCheck Agda.Termination.Termination Agda.Tests Agda.TypeChecker Agda.TypeChecking.Abstract Agda.TypeChecking.Constraints Agda.TypeChec
 king.Conversion Agda.TypeChecking.Coverage Agda.TypeChecking.Coverage.Match Agda.TypeChecking.DisplayForm Agda.TypeChecking.Empty Agda.TypeChecking.EtaContract Agda.TypeChecking.Errors Agda.TypeChecking.F
Watcher: Tick.
buildd   10751  0.0  0.0   1916   668 ?        S    Mar02   0:00 sh debian/watcher.sh 10664 /build/buildd-agda_2.2.6-3-hppa-z192cT/agda-2.2.6 /build/buildd-agda_2.2.6-3-hppa-z192cT/agda-2.2.6/build-stamp ghc
buildd   10841  0.0  0.0  24408 12240 ?        S    Mar02   0:02 debian/hlibrary.setup build --builddir=dist-ghc6
buildd   10894 88.2  1.6 289856 264488 ?       R    Mar02 326:23 /usr/lib/ghc-6.12.1/lib/ghc -B/usr/lib/ghc-6.12.1 --make -package-name Agda-2.2.6 -hide-all-packages -fbuilding-cabal-package -no-user-package-conf -i -idist-ghc6/build -isrc/full -idist-ghc6/build/autogen -Idist-ghc6/build/autogen -Idist-ghc6/build -optP-include -optPdist-ghc6/build/autogen/cabal_macros.h -odir dist-ghc6/build -hidir dist-ghc6/build -stubdir dist-ghc6/build -package-id QuickCheck-2.1.0.2-3a7de25345ef06788abd935f73327990 -package-id array-0.3.0.0-dbdf73710a5bd9a534e8bcb2d8c8ee98 -package-id base-4.2.0.0-d24242f5106769c4de4e8134b6a9870c -package-id binary-0.5.0.2-107b6fd231bd1e5052fe5d1b98e05185 -package-id bytestring-0.9.1.5-0dd4aff675d67ffafb719ae1a6a95fae -package-id containers-0.3.0.0-409fe3b8f0dda25b98e03716d26be411 -package-id directory-1.0.1.0-6bad9fc4adac2805f1c48b77aa091a33 -package-id filepath-1.1.0.3-07812de93a673f50011d47451bcaac87 -package-id haskeline-0.6.2.2-b0ffaf2e21bd535bc2e7ba5
 894fb4d24 -package-id haskell-src-1.0.1.3-6f583e83bf54a6ca0d07a352de5e8f4d -package-id mtl-1.1.0.2-23ca4de7c573fd4df309067199a40634 -package-id old-time-1.0.0.3-878152af8c419bd5c9ec4dd7085b7577 -package-id pretty-1.0.1.1-2bfa34c699efff7eed4d6297a2dac12d -package-id process-1.0.1.2-a680e19e566d188a65a10f76c8422813 -package-id syb-0.1.0.2-1e7e0c316929641cb3237a60e3b63680 -package-id xhtml-3000.2.0.1-ea3a4199dcbbc6ec1b5f633d4df96ce2 -package-id zlib-0.5.2.0-b96bdf8b31c306d60b63dbb26a49d3a4 -O -auto-all -w -Werror -fwarn-dodgy-imports -fwarn-duplicate-exports -fwarn-hi-shadowing -fwarn-incomplete-patterns -fwarn-missing-fields -fwarn-missing-methods -fwarn-overlapping-patterns -fwarn-warnings-deprecations -fwarn-deprecated-flags -fwarn-dodgy-foreign-imports -fwarn-wrong-do-bind -fwarn-dodgy-exports -XCPP Agda.Main Agda.Interaction.BasicOps Agda.Interaction.GhciTop Agda.Compiler.Agate.Classify Agda.Compiler.Agate.Common Agda.Compiler.Agate.Main Agda.Compiler.Agate.OptimizedPrinte
 r Agda.Compiler.Agate.TranslateName Agda.Compiler.Agate.UntypedPrinter Agda.Compiler.Alonzo.Main Agda.Compiler.Alonzo.Names Agda.Compiler.Alonzo.Haskell Agda.Compiler.Alonzo.PatternMonad Agda.Compiler.HaskellTypes Agda.Compiler.MAlonzo.Compiler Agda.Compiler.MAlonzo.Encode Agda.Compiler.MAlonzo.Misc Agda.Compiler.MAlonzo.Pretty Agda.Compiler.MAlonzo.Primitives Agda.Interaction.CommandLine.CommandLine Agda.Interaction.Exceptions Agda.Interaction.FindFile Agda.Interaction.Highlighting.Emacs Agda.Interaction.Highlighting.Generate Agda.Interaction.Highlighting.HTML Agda.Interaction.Highlighting.Precise Agda.Interaction.Highlighting.Range Agda.Interaction.Highlighting.Vim Agda.Interaction.Imports Agda.Interaction.MakeCase Agda.Interaction.Monad Agda.Interaction.Options Agda.Syntax.Abstract.Name Agda.Syntax.Abstract.Pretty Agda.Syntax.Abstract.Views Agda.Syntax.Abstract Agda.Syntax.Common Agda.Syntax.Concrete.Definitions Agda.Syntax.Concrete.Name Agda.Syntax.Concrete.Operators.Par
 ser Agda.Syntax.Concrete.Operators Agda.Syntax.Concrete.Pretty Agda.Syntax.Concrete Agda.Syntax.Fixity Agda.Syntax.Info Agda.Syntax.Internal Agda.Syntax.Internal.Generic Agda.Syntax.Internal.Pattern Agda.Syntax.Literal Agda.Syntax.Parser.Alex Agda.Syntax.Parser.Comments Agda.Syntax.Parser.Layout Agda.Syntax.Parser.LexActions Agda.Syntax.Parser.Lexer Agda.Syntax.Parser.LookAhead Agda.Syntax.Parser.Monad Agda.Syntax.Parser.Parser Agda.Syntax.Parser.StringLiterals Agda.Syntax.Parser.Tokens Agda.Syntax.Parser Agda.Syntax.Position Agda.Syntax.Scope.Base Agda.Syntax.Scope.Monad Agda.Syntax.Strict Agda.Syntax.Translation.AbstractToConcrete Agda.Syntax.Translation.ConcreteToAbstract Agda.Syntax.Translation.InternalToAbstract Agda.Termination.CallGraph Agda.Termination.Lexicographic Agda.Termination.Matrix Agda.Termination.Semiring Agda.Termination.TermCheck Agda.Termination.Termination Agda.Tests Agda.TypeChecker Agda.TypeChecking.Abstract Agda.TypeChecking.Constraints Agda.TypeChec
 king.Conversion Agda.TypeChecking.Coverage Agda.TypeChecking.Coverage.Match Agda.TypeChecking.DisplayForm Agda.TypeChecking.Empty Agda.TypeChecking.EtaContract Agda.TypeChecking.Errors Agda.TypeChecking.F
Watcher: Tick.
buildd   10751  0.0  0.0   1916   668 ?        S    Mar02   0:00 sh debian/watcher.sh 10664 /build/buildd-agda_2.2.6-3-hppa-z192cT/agda-2.2.6 /build/buildd-agda_2.2.6-3-hppa-z192cT/agda-2.2.6/build-stamp ghc
buildd   10841  0.0  0.0  24408 12240 ?        S    Mar02   0:02 debian/hlibrary.setup build --builddir=dist-ghc6
buildd   10894 88.3  1.6 289856 264488 ?       R    Mar02 335:39 /usr/lib/ghc-6.12.1/lib/ghc -B/usr/lib/ghc-6.12.1 --make -package-name Agda-2.2.6 -hide-all-packages -fbuilding-cabal-package -no-user-package-conf -i -idist-ghc6/build -isrc/full -idist-ghc6/build/autogen -Idist-ghc6/build/autogen -Idist-ghc6/build -optP-include -optPdist-ghc6/build/autogen/cabal_macros.h -odir dist-ghc6/build -hidir dist-ghc6/build -stubdir dist-ghc6/build -package-id QuickCheck-2.1.0.2-3a7de25345ef06788abd935f73327990 -package-id array-0.3.0.0-dbdf73710a5bd9a534e8bcb2d8c8ee98 -package-id base-4.2.0.0-d24242f5106769c4de4e8134b6a9870c -package-id binary-0.5.0.2-107b6fd231bd1e5052fe5d1b98e05185 -package-id bytestring-0.9.1.5-0dd4aff675d67ffafb719ae1a6a95fae -package-id containers-0.3.0.0-409fe3b8f0dda25b98e03716d26be411 -package-id directory-1.0.1.0-6bad9fc4adac2805f1c48b77aa091a33 -package-id filepath-1.1.0.3-07812de93a673f50011d47451bcaac87 -package-id haskeline-0.6.2.2-b0ffaf2e21bd535bc2e7ba5
 894fb4d24 -package-id haskell-src-1.0.1.3-6f583e83bf54a6ca0d07a352de5e8f4d -package-id mtl-1.1.0.2-23ca4de7c573fd4df309067199a40634 -package-id old-time-1.0.0.3-878152af8c419bd5c9ec4dd7085b7577 -package-id pretty-1.0.1.1-2bfa34c699efff7eed4d6297a2dac12d -package-id process-1.0.1.2-a680e19e566d188a65a10f76c8422813 -package-id syb-0.1.0.2-1e7e0c316929641cb3237a60e3b63680 -package-id xhtml-3000.2.0.1-ea3a4199dcbbc6ec1b5f633d4df96ce2 -package-id zlib-0.5.2.0-b96bdf8b31c306d60b63dbb26a49d3a4 -O -auto-all -w -Werror -fwarn-dodgy-imports -fwarn-duplicate-exports -fwarn-hi-shadowing -fwarn-incomplete-patterns -fwarn-missing-fields -fwarn-missing-methods -fwarn-overlapping-patterns -fwarn-warnings-deprecations -fwarn-deprecated-flags -fwarn-dodgy-foreign-imports -fwarn-wrong-do-bind -fwarn-dodgy-exports -XCPP Agda.Main Agda.Interaction.BasicOps Agda.Interaction.GhciTop Agda.Compiler.Agate.Classify Agda.Compiler.Agate.Common Agda.Compiler.Agate.Main Agda.Compiler.Agate.OptimizedPrinte
 r Agda.Compiler.Agate.TranslateName Agda.Compiler.Agate.UntypedPrinter Agda.Compiler.Alonzo.Main Agda.Compiler.Alonzo.Names Agda.Compiler.Alonzo.Haskell Agda.Compiler.Alonzo.PatternMonad Agda.Compiler.HaskellTypes Agda.Compiler.MAlonzo.Compiler Agda.Compiler.MAlonzo.Encode Agda.Compiler.MAlonzo.Misc Agda.Compiler.MAlonzo.Pretty Agda.Compiler.MAlonzo.Primitives Agda.Interaction.CommandLine.CommandLine Agda.Interaction.Exceptions Agda.Interaction.FindFile Agda.Interaction.Highlighting.Emacs Agda.Interaction.Highlighting.Generate Agda.Interaction.Highlighting.HTML Agda.Interaction.Highlighting.Precise Agda.Interaction.Highlighting.Range Agda.Interaction.Highlighting.Vim Agda.Interaction.Imports Agda.Interaction.MakeCase Agda.Interaction.Monad Agda.Interaction.Options Agda.Syntax.Abstract.Name Agda.Syntax.Abstract.Pretty Agda.Syntax.Abstract.Views Agda.Syntax.Abstract Agda.Syntax.Common Agda.Syntax.Concrete.Definitions Agda.Syntax.Concrete.Name Agda.Syntax.Concrete.Operators.Par
 ser Agda.Syntax.Concrete.Operators Agda.Syntax.Concrete.Pretty Agda.Syntax.Concrete Agda.Syntax.Fixity Agda.Syntax.Info Agda.Syntax.Internal Agda.Syntax.Internal.Generic Agda.Syntax.Internal.Pattern Agda.Syntax.Literal Agda.Syntax.Parser.Alex Agda.Syntax.Parser.Comments Agda.Syntax.Parser.Layout Agda.Syntax.Parser.LexActions Agda.Syntax.Parser.Lexer Agda.Syntax.Parser.LookAhead Agda.Syntax.Parser.Monad Agda.Syntax.Parser.Parser Agda.Syntax.Parser.StringLiterals Agda.Syntax.Parser.Tokens Agda.Syntax.Parser Agda.Syntax.Position Agda.Syntax.Scope.Base Agda.Syntax.Scope.Monad Agda.Syntax.Strict Agda.Syntax.Translation.AbstractToConcrete Agda.Syntax.Translation.ConcreteToAbstract Agda.Syntax.Translation.InternalToAbstract Agda.Termination.CallGraph Agda.Termination.Lexicographic Agda.Termination.Matrix Agda.Termination.Semiring Agda.Termination.TermCheck Agda.Termination.Termination Agda.Tests Agda.TypeChecker Agda.TypeChecking.Abstract Agda.TypeChecking.Constraints Agda.TypeChec
 king.Conversion Agda.TypeChecking.Coverage Agda.TypeChecking.Coverage.Match Agda.TypeChecking.DisplayForm Agda.TypeChecking.Empty Agda.TypeChecking.EtaContract Agda.TypeChecking.Errors Agda.TypeChecking.F
Watcher: Tick.
buildd   10751  0.0  0.0   1916   668 ?        S    Mar02   0:00 sh debian/watcher.sh 10664 /build/buildd-agda_2.2.6-3-hppa-z192cT/agda-2.2.6 /build/buildd-agda_2.2.6-3-hppa-z192cT/agda-2.2.6/build-stamp ghc
buildd   10841  0.0  0.0  24408 12240 ?        S    Mar02   0:02 debian/hlibrary.setup build --builddir=dist-ghc6
buildd   10894 88.4  1.6 289856 264488 ?       R    Mar02 344:55 /usr/lib/ghc-6.12.1/lib/ghc -B/usr/lib/ghc-6.12.1 --make -package-name Agda-2.2.6 -hide-all-packages -fbuilding-cabal-package -no-user-package-conf -i -idist-ghc6/build -isrc/full -idist-ghc6/build/autogen -Idist-ghc6/build/autogen -Idist-ghc6/build -optP-include -optPdist-ghc6/build/autogen/cabal_macros.h -odir dist-ghc6/build -hidir dist-ghc6/build -stubdir dist-ghc6/build -package-id QuickCheck-2.1.0.2-3a7de25345ef06788abd935f73327990 -package-id array-0.3.0.0-dbdf73710a5bd9a534e8bcb2d8c8ee98 -package-id base-4.2.0.0-d24242f5106769c4de4e8134b6a9870c -package-id binary-0.5.0.2-107b6fd231bd1e5052fe5d1b98e05185 -package-id bytestring-0.9.1.5-0dd4aff675d67ffafb719ae1a6a95fae -package-id containers-0.3.0.0-409fe3b8f0dda25b98e03716d26be411 -package-id directory-1.0.1.0-6bad9fc4adac2805f1c48b77aa091a33 -package-id filepath-1.1.0.3-07812de93a673f50011d47451bcaac87 -package-id haskeline-0.6.2.2-b0ffaf2e21bd535bc2e7ba5
 894fb4d24 -package-id haskell-src-1.0.1.3-6f583e83bf54a6ca0d07a352de5e8f4d -package-id mtl-1.1.0.2-23ca4de7c573fd4df309067199a40634 -package-id old-time-1.0.0.3-878152af8c419bd5c9ec4dd7085b7577 -package-id pretty-1.0.1.1-2bfa34c699efff7eed4d6297a2dac12d -package-id process-1.0.1.2-a680e19e566d188a65a10f76c8422813 -package-id syb-0.1.0.2-1e7e0c316929641cb3237a60e3b63680 -package-id xhtml-3000.2.0.1-ea3a4199dcbbc6ec1b5f633d4df96ce2 -package-id zlib-0.5.2.0-b96bdf8b31c306d60b63dbb26a49d3a4 -O -auto-all -w -Werror -fwarn-dodgy-imports -fwarn-duplicate-exports -fwarn-hi-shadowing -fwarn-incomplete-patterns -fwarn-missing-fields -fwarn-missing-methods -fwarn-overlapping-patterns -fwarn-warnings-deprecations -fwarn-deprecated-flags -fwarn-dodgy-foreign-imports -fwarn-wrong-do-bind -fwarn-dodgy-exports -XCPP Agda.Main Agda.Interaction.BasicOps Agda.Interaction.GhciTop Agda.Compiler.Agate.Classify Agda.Compiler.Agate.Common Agda.Compiler.Agate.Main Agda.Compiler.Agate.OptimizedPrinte
 r Agda.Compiler.Agate.TranslateName Agda.Compiler.Agate.UntypedPrinter Agda.Compiler.Alonzo.Main Agda.Compiler.Alonzo.Names Agda.Compiler.Alonzo.Haskell Agda.Compiler.Alonzo.PatternMonad Agda.Compiler.HaskellTypes Agda.Compiler.MAlonzo.Compiler Agda.Compiler.MAlonzo.Encode Agda.Compiler.MAlonzo.Misc Agda.Compiler.MAlonzo.Pretty Agda.Compiler.MAlonzo.Primitives Agda.Interaction.CommandLine.CommandLine Agda.Interaction.Exceptions Agda.Interaction.FindFile Agda.Interaction.Highlighting.Emacs Agda.Interaction.Highlighting.Generate Agda.Interaction.Highlighting.HTML Agda.Interaction.Highlighting.Precise Agda.Interaction.Highlighting.Range Agda.Interaction.Highlighting.Vim Agda.Interaction.Imports Agda.Interaction.MakeCase Agda.Interaction.Monad Agda.Interaction.Options Agda.Syntax.Abstract.Name Agda.Syntax.Abstract.Pretty Agda.Syntax.Abstract.Views Agda.Syntax.Abstract Agda.Syntax.Common Agda.Syntax.Concrete.Definitions Agda.Syntax.Concrete.Name Agda.Syntax.Concrete.Operators.Par
 ser Agda.Syntax.Concrete.Operators Agda.Syntax.Concrete.Pretty Agda.Syntax.Concrete Agda.Syntax.Fixity Agda.Syntax.Info Agda.Syntax.Internal Agda.Syntax.Internal.Generic Agda.Syntax.Internal.Pattern Agda.Syntax.Literal Agda.Syntax.Parser.Alex Agda.Syntax.Parser.Comments Agda.Syntax.Parser.Layout Agda.Syntax.Parser.LexActions Agda.Syntax.Parser.Lexer Agda.Syntax.Parser.LookAhead Agda.Syntax.Parser.Monad Agda.Syntax.Parser.Parser Agda.Syntax.Parser.StringLiterals Agda.Syntax.Parser.Tokens Agda.Syntax.Parser Agda.Syntax.Position Agda.Syntax.Scope.Base Agda.Syntax.Scope.Monad Agda.Syntax.Strict Agda.Syntax.Translation.AbstractToConcrete Agda.Syntax.Translation.ConcreteToAbstract Agda.Syntax.Translation.InternalToAbstract Agda.Termination.CallGraph Agda.Termination.Lexicographic Agda.Termination.Matrix Agda.Termination.Semiring Agda.Termination.TermCheck Agda.Termination.Termination Agda.Tests Agda.TypeChecker Agda.TypeChecking.Abstract Agda.TypeChecking.Constraints Agda.TypeChec
 king.Conversion Agda.TypeChecking.Coverage Agda.TypeChecking.Coverage.Match Agda.TypeChecking.DisplayForm Agda.TypeChecking.Empty Agda.TypeChecking.EtaContract Agda.TypeChecking.Errors Agda.TypeChecking.F
Watcher: Tick.
buildd   10751  0.0  0.0   1916   668 ?        S    Mar02   0:00 sh debian/watcher.sh 10664 /build/buildd-agda_2.2.6-3-hppa-z192cT/agda-2.2.6 /build/buildd-agda_2.2.6-3-hppa-z192cT/agda-2.2.6/build-stamp ghc
buildd   10841  0.0  0.0  24408 12240 ?        S    Mar02   0:02 debian/hlibrary.setup build --builddir=dist-ghc6
buildd   10894 88.6  1.6 289856 264488 ?       R    Mar02 354:12 /usr/lib/ghc-6.12.1/lib/ghc -B/usr/lib/ghc-6.12.1 --make -package-name Agda-2.2.6 -hide-all-packages -fbuilding-cabal-package -no-user-package-conf -i -idist-ghc6/build -isrc/full -idist-ghc6/build/autogen -Idist-ghc6/build/autogen -Idist-ghc6/build -optP-include -optPdist-ghc6/build/autogen/cabal_macros.h -odir dist-ghc6/build -hidir dist-ghc6/build -stubdir dist-ghc6/build -package-id QuickCheck-2.1.0.2-3a7de25345ef06788abd935f73327990 -package-id array-0.3.0.0-dbdf73710a5bd9a534e8bcb2d8c8ee98 -package-id base-4.2.0.0-d24242f5106769c4de4e8134b6a9870c -package-id binary-0.5.0.2-107b6fd231bd1e5052fe5d1b98e05185 -package-id bytestring-0.9.1.5-0dd4aff675d67ffafb719ae1a6a95fae -package-id containers-0.3.0.0-409fe3b8f0dda25b98e03716d26be411 -package-id directory-1.0.1.0-6bad9fc4adac2805f1c48b77aa091a33 -package-id filepath-1.1.0.3-07812de93a673f50011d47451bcaac87 -package-id haskeline-0.6.2.2-b0ffaf2e21bd535bc2e7ba5
 894fb4d24 -package-id haskell-src-1.0.1.3-6f583e83bf54a6ca0d07a352de5e8f4d -package-id mtl-1.1.0.2-23ca4de7c573fd4df309067199a40634 -package-id old-time-1.0.0.3-878152af8c419bd5c9ec4dd7085b7577 -package-id pretty-1.0.1.1-2bfa34c699efff7eed4d6297a2dac12d -package-id process-1.0.1.2-a680e19e566d188a65a10f76c8422813 -package-id syb-0.1.0.2-1e7e0c316929641cb3237a60e3b63680 -package-id xhtml-3000.2.0.1-ea3a4199dcbbc6ec1b5f633d4df96ce2 -package-id zlib-0.5.2.0-b96bdf8b31c306d60b63dbb26a49d3a4 -O -auto-all -w -Werror -fwarn-dodgy-imports -fwarn-duplicate-exports -fwarn-hi-shadowing -fwarn-incomplete-patterns -fwarn-missing-fields -fwarn-missing-methods -fwarn-overlapping-patterns -fwarn-warnings-deprecations -fwarn-deprecated-flags -fwarn-dodgy-foreign-imports -fwarn-wrong-do-bind -fwarn-dodgy-exports -XCPP Agda.Main Agda.Interaction.BasicOps Agda.Interaction.GhciTop Agda.Compiler.Agate.Classify Agda.Compiler.Agate.Common Agda.Compiler.Agate.Main Agda.Compiler.Agate.OptimizedPrinte
 r Agda.Compiler.Agate.TranslateName Agda.Compiler.Agate.UntypedPrinter Agda.Compiler.Alonzo.Main Agda.Compiler.Alonzo.Names Agda.Compiler.Alonzo.Haskell Agda.Compiler.Alonzo.PatternMonad Agda.Compiler.HaskellTypes Agda.Compiler.MAlonzo.Compiler Agda.Compiler.MAlonzo.Encode Agda.Compiler.MAlonzo.Misc Agda.Compiler.MAlonzo.Pretty Agda.Compiler.MAlonzo.Primitives Agda.Interaction.CommandLine.CommandLine Agda.Interaction.Exceptions Agda.Interaction.FindFile Agda.Interaction.Highlighting.Emacs Agda.Interaction.Highlighting.Generate Agda.Interaction.Highlighting.HTML Agda.Interaction.Highlighting.Precise Agda.Interaction.Highlighting.Range Agda.Interaction.Highlighting.Vim Agda.Interaction.Imports Agda.Interaction.MakeCase Agda.Interaction.Monad Agda.Interaction.Options Agda.Syntax.Abstract.Name Agda.Syntax.Abstract.Pretty Agda.Syntax.Abstract.Views Agda.Syntax.Abstract Agda.Syntax.Common Agda.Syntax.Concrete.Definitions Agda.Syntax.Concrete.Name Agda.Syntax.Concrete.Operators.Par
 ser Agda.Syntax.Concrete.Operators Agda.Syntax.Concrete.Pretty Agda.Syntax.Concrete Agda.Syntax.Fixity Agda.Syntax.Info Agda.Syntax.Internal Agda.Syntax.Internal.Generic Agda.Syntax.Internal.Pattern Agda.Syntax.Literal Agda.Syntax.Parser.Alex Agda.Syntax.Parser.Comments Agda.Syntax.Parser.Layout Agda.Syntax.Parser.LexActions Agda.Syntax.Parser.Lexer Agda.Syntax.Parser.LookAhead Agda.Syntax.Parser.Monad Agda.Syntax.Parser.Parser Agda.Syntax.Parser.StringLiterals Agda.Syntax.Parser.Tokens Agda.Syntax.Parser Agda.Syntax.Position Agda.Syntax.Scope.Base Agda.Syntax.Scope.Monad Agda.Syntax.Strict Agda.Syntax.Translation.AbstractToConcrete Agda.Syntax.Translation.ConcreteToAbstract Agda.Syntax.Translation.InternalToAbstract Agda.Termination.CallGraph Agda.Termination.Lexicographic Agda.Termination.Matrix Agda.Termination.Semiring Agda.Termination.TermCheck Agda.Termination.Termination Agda.Tests Agda.TypeChecker Agda.TypeChecking.Abstract Agda.TypeChecking.Constraints Agda.TypeChec
 king.Conversion Agda.TypeChecking.Coverage Agda.TypeChecking.Coverage.Match Agda.TypeChecking.DisplayForm Agda.TypeChecking.Empty Agda.TypeChecking.EtaContract Agda.TypeChecking.Errors Agda.TypeChecking.F
Watcher: Tick.
buildd   10751  0.0  0.0   1916   668 ?        S    Mar02   0:00 sh debian/watcher.sh 10664 /build/buildd-agda_2.2.6-3-hppa-z192cT/agda-2.2.6 /build/buildd-agda_2.2.6-3-hppa-z192cT/agda-2.2.6/build-stamp ghc
buildd   10841  0.0  0.0  24408 12240 ?        S    Mar02   0:02 debian/hlibrary.setup build --builddir=dist-ghc6
buildd   10894 88.7  1.6 289856 264488 ?       R    Mar02 363:29 /usr/lib/ghc-6.12.1/lib/ghc -B/usr/lib/ghc-6.12.1 --make -package-name Agda-2.2.6 -hide-all-packages -fbuilding-cabal-package -no-user-package-conf -i -idist-ghc6/build -isrc/full -idist-ghc6/build/autogen -Idist-ghc6/build/autogen -Idist-ghc6/build -optP-include -optPdist-ghc6/build/autogen/cabal_macros.h -odir dist-ghc6/build -hidir dist-ghc6/build -stubdir dist-ghc6/build -package-id QuickCheck-2.1.0.2-3a7de25345ef06788abd935f73327990 -package-id array-0.3.0.0-dbdf73710a5bd9a534e8bcb2d8c8ee98 -package-id base-4.2.0.0-d24242f5106769c4de4e8134b6a9870c -package-id binary-0.5.0.2-107b6fd231bd1e5052fe5d1b98e05185 -package-id bytestring-0.9.1.5-0dd4aff675d67ffafb719ae1a6a95fae -package-id containers-0.3.0.0-409fe3b8f0dda25b98e03716d26be411 -package-id directory-1.0.1.0-6bad9fc4adac2805f1c48b77aa091a33 -package-id filepath-1.1.0.3-07812de93a673f50011d47451bcaac87 -package-id haskeline-0.6.2.2-b0ffaf2e21bd535bc2e7ba5
 894fb4d24 -package-id haskell-src-1.0.1.3-6f583e83bf54a6ca0d07a352de5e8f4d -package-id mtl-1.1.0.2-23ca4de7c573fd4df309067199a40634 -package-id old-time-1.0.0.3-878152af8c419bd5c9ec4dd7085b7577 -package-id pretty-1.0.1.1-2bfa34c699efff7eed4d6297a2dac12d -package-id process-1.0.1.2-a680e19e566d188a65a10f76c8422813 -package-id syb-0.1.0.2-1e7e0c316929641cb3237a60e3b63680 -package-id xhtml-3000.2.0.1-ea3a4199dcbbc6ec1b5f633d4df96ce2 -package-id zlib-0.5.2.0-b96bdf8b31c306d60b63dbb26a49d3a4 -O -auto-all -w -Werror -fwarn-dodgy-imports -fwarn-duplicate-exports -fwarn-hi-shadowing -fwarn-incomplete-patterns -fwarn-missing-fields -fwarn-missing-methods -fwarn-overlapping-patterns -fwarn-warnings-deprecations -fwarn-deprecated-flags -fwarn-dodgy-foreign-imports -fwarn-wrong-do-bind -fwarn-dodgy-exports -XCPP Agda.Main Agda.Interaction.BasicOps Agda.Interaction.GhciTop Agda.Compiler.Agate.Classify Agda.Compiler.Agate.Common Agda.Compiler.Agate.Main Agda.Compiler.Agate.OptimizedPrinte
 r Agda.Compiler.Agate.TranslateName Agda.Compiler.Agate.UntypedPrinter Agda.Compiler.Alonzo.Main Agda.Compiler.Alonzo.Names Agda.Compiler.Alonzo.Haskell Agda.Compiler.Alonzo.PatternMonad Agda.Compiler.HaskellTypes Agda.Compiler.MAlonzo.Compiler Agda.Compiler.MAlonzo.Encode Agda.Compiler.MAlonzo.Misc Agda.Compiler.MAlonzo.Pretty Agda.Compiler.MAlonzo.Primitives Agda.Interaction.CommandLine.CommandLine Agda.Interaction.Exceptions Agda.Interaction.FindFile Agda.Interaction.Highlighting.Emacs Agda.Interaction.Highlighting.Generate Agda.Interaction.Highlighting.HTML Agda.Interaction.Highlighting.Precise Agda.Interaction.Highlighting.Range Agda.Interaction.Highlighting.Vim Agda.Interaction.Imports Agda.Interaction.MakeCase Agda.Interaction.Monad Agda.Interaction.Options Agda.Syntax.Abstract.Name Agda.Syntax.Abstract.Pretty Agda.Syntax.Abstract.Views Agda.Syntax.Abstract Agda.Syntax.Common Agda.Syntax.Concrete.Definitions Agda.Syntax.Concrete.Name Agda.Syntax.Concrete.Operators.Par
 ser Agda.Syntax.Concrete.Operators Agda.Syntax.Concrete.Pretty Agda.Syntax.Concrete Agda.Syntax.Fixity Agda.Syntax.Info Agda.Syntax.Internal Agda.Syntax.Internal.Generic Agda.Syntax.Internal.Pattern Agda.Syntax.Literal Agda.Syntax.Parser.Alex Agda.Syntax.Parser.Comments Agda.Syntax.Parser.Layout Agda.Syntax.Parser.LexActions Agda.Syntax.Parser.Lexer Agda.Syntax.Parser.LookAhead Agda.Syntax.Parser.Monad Agda.Syntax.Parser.Parser Agda.Syntax.Parser.StringLiterals Agda.Syntax.Parser.Tokens Agda.Syntax.Parser Agda.Syntax.Position Agda.Syntax.Scope.Base Agda.Syntax.Scope.Monad Agda.Syntax.Strict Agda.Syntax.Translation.AbstractToConcrete Agda.Syntax.Translation.ConcreteToAbstract Agda.Syntax.Translation.InternalToAbstract Agda.Termination.CallGraph Agda.Termination.Lexicographic Agda.Termination.Matrix Agda.Termination.Semiring Agda.Termination.TermCheck Agda.Termination.Termination Agda.Tests Agda.TypeChecker Agda.TypeChecking.Abstract Agda.TypeChecking.Constraints Agda.TypeChec
 king.Conversion Agda.TypeChecking.Coverage Agda.TypeChecking.Coverage.Match Agda.TypeChecking.DisplayForm Agda.TypeChecking.Empty Agda.TypeChecking.EtaContract Agda.TypeChecking.Errors Agda.TypeChecking.F
sbuild received SIGTERM -- shutting down
Purging /var/lib/schroot/mount/sid-hppa-sbuild-70da9817-3b42-4fce-bb9d-f0f57c4df869/build/buildd-agda_2.2.6-3-hppa-z192cT
make: *** [build-ghc6-stamp] Terminated




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#572300; Package src:agda. (Wed, 03 Mar 2010 09:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iain Lane <laney@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Wed, 03 Mar 2010 09:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 572300@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@ubuntu.com>
To: dann frazier <dannf@debian.org>, 572300@bugs.debian.org
Subject: Re: Bug#572300: [hppa] blocks buildd indefinitely
Date: Wed, 3 Mar 2010 09:50:15 +0000
[Message part 1 (text/plain, inline)]
Hi,

On Tue, Mar 02, 2010 at 07:21:04PM -0700, dann frazier wrote:
>Source: agda
>Version: 2.2.6-3
>Severity: serious
>User: debian-hppa@lists.debian.org
>Usertags: hppa
>
>The agda build reliably hangs on hppa, but the included watcher
>continues to generate output - blocking the buildd until manually
>killed.
>
>The logs are available at:
>  https://buildd.debian.org/build.cgi?pkg=agda;ver=2.2.6-3;arch=hppa

Thanks for the build logs. I'm not convinced that there is an actual 
hang here — it looks rather that the admins have just prematurely killed 
it. The build is known to be long running and not output anything for a 
long time, hence the need for a watcher.

Perhaps we could try in a porterbox. Could you get the build-deps 
installed and try a build there? (IANADD)

Otherwise the important difference between -2 and -3 is that the former 
was built with ghc6 6.10.4 and the latter 6.12.1.

Cheers,
Iain
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#572300; Package src:agda. (Tue, 09 Mar 2010 18:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@dannf.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 09 Mar 2010 18:03:09 GMT) Full text and rfc822 format available.

Message #15 received at 572300@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@dannf.org>
To: Iain Lane <laney@ubuntu.com>
Cc: 572300@bugs.debian.org
Subject: Re: Bug#572300: [hppa] blocks buildd indefinitely
Date: Tue, 9 Mar 2010 11:00:09 -0700
On Wed, Mar 03, 2010 at 09:50:15AM +0000, Iain Lane wrote:
> Hi,
>
> On Tue, Mar 02, 2010 at 07:21:04PM -0700, dann frazier wrote:
>> Source: agda
>> Version: 2.2.6-3
>> Severity: serious
>> User: debian-hppa@lists.debian.org
>> Usertags: hppa
>>
>> The agda build reliably hangs on hppa, but the included watcher
>> continues to generate output - blocking the buildd until manually
>> killed.
>>
>> The logs are available at:
>>  https://buildd.debian.org/build.cgi?pkg=agda;ver=2.2.6-3;arch=hppa
>
> Thanks for the build logs. I'm not convinced that there is an actual  
> hang here ??? it looks rather that the admins have just prematurely 
> killed it. The build is known to be long running and not output anything 
> for a long time, hence the need for a watcher.

See:
  https://buildd.debian.org/fetch.cgi?pkg=agda;ver=2.2.6-3;arch=hppa;stamp=1267463849

In this case, the build started at:
 2010.02.27 04:20

And I killed it at:
 2010.03.01 17:17

I let it retry in case it was a transient problem, but it again hung
indefinitely on the same file.

> Perhaps we could try in a porterbox. Could you get the build-deps  
> installed and try a build there? (IANADD)

It occurred on both buildds, which run the same kernel/config as our
porterbox.

> Otherwise the important difference between -2 and -3 is that the former  
> was built with ghc6 6.10.4 and the latter 6.12.1.

-- 
dann frazier





Reply sent to Iain Lane <laney@ubuntu.com>:
You have taken responsibility. (Fri, 12 Mar 2010 00:21:08 GMT) Full text and rfc822 format available.

Notification sent to dann frazier <dannf@debian.org>:
Bug acknowledged by developer. (Fri, 12 Mar 2010 00:21:08 GMT) Full text and rfc822 format available.

Message #20 received at 572300-close@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@ubuntu.com>
To: 572300-close@bugs.debian.org
Subject: Bug#572300: fixed in agda 2.2.6-4
Date: Fri, 12 Mar 2010 00:17:15 +0000
Source: agda
Source-Version: 2.2.6-4

We believe that the bug you reported is fixed in the latest version of
agda, which is due to be installed in the Debian FTP archive:

agda-mode_2.2.6-4_all.deb
  to main/a/agda/agda-mode_2.2.6-4_all.deb
agda_2.2.6-4.diff.gz
  to main/a/agda/agda_2.2.6-4.diff.gz
agda_2.2.6-4.dsc
  to main/a/agda/agda_2.2.6-4.dsc
haskell-agda-doc_2.2.6-4_all.deb
  to main/a/agda/haskell-agda-doc_2.2.6-4_all.deb
libghc6-agda-dev_2.2.6-4_amd64.deb
  to main/a/agda/libghc6-agda-dev_2.2.6-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 572300@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Iain Lane <laney@ubuntu.com> (supplier of updated agda package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 27 Feb 2010 20:35:10 +0000
Source: agda
Binary: libghc6-agda-dev haskell-agda-doc agda-mode
Architecture: source all amd64
Version: 2.2.6-4
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Iain Lane <laney@ubuntu.com>
Description: 
 agda-mode  - the emacs mode for Agda
 haskell-agda-doc - a dependently typed functional programming language - documentati
 libghc6-agda-dev - a dependently typed functional programming language - development
Closes: 572300
Changes: 
 agda (2.2.6-4) unstable; urgency=low
 .
   * debian/control: Remove the profiling package. It is unfortunate that this
     package is proving to be too big to build before exhausting the available
     resources on some architectures. Not having it should allow agda to build
     in many more places though, so this is a win.
   * debian/control, debian/rules, debian/watcher.sh: Remove the ticker which
     should no longer be necessary due to the above. (Closes: #572300)
   * debian/control: Use shlibs:Depends in libghc6-agda-dev, and not in
     agda-mode.
Checksums-Sha1: 
 930eafd19c23763c6a3ab9ff8255a36e0e6b0711 2268 agda_2.2.6-4.dsc
 d67cc1275c8a8c9e4000aecab358f8d345856b49 4878 agda_2.2.6-4.diff.gz
 e8f41415a605b4e63fbf7dc3d62ad14e38551686 1097230 haskell-agda-doc_2.2.6-4_all.deb
 cad20d5e38e100f8a09babc86cb374f6a7a9e2e0 39878 agda-mode_2.2.6-4_all.deb
 d259f72f0ae53afc2cc920c2e188bd079c1c9d54 10054274 libghc6-agda-dev_2.2.6-4_amd64.deb
Checksums-Sha256: 
 d8edef042a3552ff8bcf7e1f18ef65a37b2efc10a46d0a694adda4b233f99124 2268 agda_2.2.6-4.dsc
 bf8cc2f7016f432536e159e6c3adcb895eae339c3298820ece76e096351b63bc 4878 agda_2.2.6-4.diff.gz
 91cbbcd8bc00f4664977bb5e63237998b0cba07abfeac1a0cc3e8131da5d4573 1097230 haskell-agda-doc_2.2.6-4_all.deb
 8e7c60d60a1c523395deea2913d6b1a1d9d765941eadc98e2d3d0f2b7f342a09 39878 agda-mode_2.2.6-4_all.deb
 f0cf5662866f8433243f4b7e6acaf2cfdb5066324559d7d7965e5ad236f21c5f 10054274 libghc6-agda-dev_2.2.6-4_amd64.deb
Files: 
 9baa3a7402f6db7d0d7b818589f36dd4 2268 haskell extra agda_2.2.6-4.dsc
 799e79a237f15bf779334f66211678da 4878 haskell extra agda_2.2.6-4.diff.gz
 e8d7c252d8896ce68ec5a3594dbe92d1 1097230 doc extra haskell-agda-doc_2.2.6-4_all.deb
 cd505de194459d0f2b2fad739e29db03 39878 misc extra agda-mode_2.2.6-4_all.deb
 c7c0bd2ac83a7d45fe0b7b5d77cfcdd9 10054274 haskell extra libghc6-agda-dev_2.2.6-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkuZg9UACgkQhAwOmkV1TkSI3wCgmzfu9Td6gbCDF6k4DHSkcK94
uSQAoJebfZyTc2EQn9/1/4Q/KiX8PJhS
=/8uF
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Apr 2010 07:29:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:02:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.